低危 calibre 3.18 Bookmark Import bookmarkmanager.py cPickle.load 反序列化漏洞

CVE编号

CVE-2018-7889

利用情况

暂无

补丁情况

官方补丁

披露时间

2018-03-09
漏洞描述
Calibre是一套免费的、开源的电子图书管理软件。该软件可提供对图书进行格式转换和归类整理电子书等功能。

Calibre 3.18版本中的gui2/viewer/bookmarkmanager.py文件存在安全漏洞。远程攻击者可借助特制的.pickle文件利用该漏洞执行任意代码。
解决建议
厂商已发布漏洞修复程序,请及时关注更新:
https://github.com/kovidgoyal/calibre/commit/aeb5b036a0bf657951756688b3c72bd68b6e4a7d
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 calibre-ebook calibre 3.18.0 -
运行在以下环境
系统 debian_9 calibre * Up to
(including)
2.75.1+dfsg-1
运行在以下环境
系统 fedora_26 calibre * Up to
(excluding)
3.19.0-1.fc26
运行在以下环境
系统 fedora_27 calibre * Up to
(excluding)
3.19.0-1.fc27
运行在以下环境
系统 fedora_28 calibre * Up to
(excluding)
3.19.0-1.fc28
运行在以下环境
系统 ubuntu_18.04.5_lts calibre * Up to
(excluding)
3.19.0+dfsg-1
运行在以下环境
系统 ubuntu_18.10 calibre * Up to
(excluding)
3.19.0+dfsg-1
阿里云评分
2.9
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-502 可信数据的反序列化
阿里云安全产品覆盖情况